Skip to content

Search conversations
deprecated

Request

NOTE: This endpoint is deprecated and is replaced with POST /search/conversations. Search for conversations containing a particular text.

Security
ApiKeyAuth
Query
pageLimitinteger, (int32)

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

pageKeystring

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

querystring, non-emptyrequired

The text by which to search conversations

Example:query=cancel my order
exactMatchboolean

Return only exact matches. This value is false by default.

GET
/v1/search/conversations
curl -i -X GET \
  'https://dev.dixa.io/v1/search/conversations?pageLimit=0&pageKey=string&query=cancel%20my%20order&exactMatch=true' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

The search results for the searched parameters

Bodyapplication/json
dataArray of objects(ConversationSearchHit)
metaobject(PaginationLinks)
Response
{ "data": [ {} ] }